/*
 * (C) 2001-2012 Marmalade. All Rights Reserved.
 *
 * This document is protected by copyright, and contains information
 * proprietary to Marmalade.
 *
 * This file consists of source code released by Marmalade under
 * the terms of the accompanying End User License Agreement (EULA).
 * Please do not use this program/source code before you have read the
 * EULA and have agreed to be bound by its terms.
 */
/*
 * WARNING: this is an autogenerated file and will be overwritten by
 * the extension interface script.
 */
#ifndef S3E_EXT_ODK_H
#define S3E_EXT_ODK_H

#include <s3eTypes.h>

#include <algorithm>
#include <string>
#include <vector>

#define	OuyaController_MAX_CONTROLLERS 	4

#define	OuyaController_AXIS_LS_X  		0
#define	OuyaController_AXIS_LS_Y 		1	
#define	OuyaController_AXIS_RS_X 		11
#define	OuyaController_AXIS_RS_Y 		14
#define	OuyaController_AXIS_L2 			17
#define	OuyaController_AXIS_R2 			18
	
#define	OuyaController_BUTTON_DPAD_UP 	19
#define	OuyaController_BUTTON_DPAD_DOWN 20
#define	OuyaController_BUTTON_DPAD_LEFT 21
#define	OuyaController_BUTTON_DPAD_RIGHT 22
	
#define	OuyaController_BUTTON_MENU 		82

#define	OuyaController_BUTTON_O 		96
#define	OuyaController_BUTTON_A 		97	
#define	OuyaController_BUTTON_U 		99
#define	OuyaController_BUTTON_Y 		100
	
#define	OuyaController_BUTTON_L1 		102
#define	OuyaController_BUTTON_R1 		103
#define	OuyaController_BUTTON_L2 		104
#define	OuyaController_BUTTON_R2 		105
#define	OuyaController_BUTTON_R3 		107
#define	OuyaController_BUTTON_L3 		106	

typedef enum s3eOdkFnCallbackType {
	S3E_ODK_CALLBACKS_FETCH_GAMER_UUID_ON_SUCCESS,
	S3E_ODK_CALLBACKS_FETCH_GAMER_UUID_ON_FAILURE,
	S3E_ODK_CALLBACKS_FETCH_GAMER_UUID_ON_CANCEL,    
	S3E_ODK_CALLBACKS_REQUEST_PRODUCTS_ON_SUCCESS,
	S3E_ODK_CALLBACKS_REQUEST_PRODUCTS_ON_FAILURE,
	S3E_ODK_CALLBACKS_REQUEST_PRODUCTS_ON_CANCEL,
	S3E_ODK_CALLBACKS_REQUEST_PURCHASE_ON_SUCCESS,
	S3E_ODK_CALLBACKS_REQUEST_PURCHASE_ON_FAILURE,
	S3E_ODK_CALLBACKS_REQUEST_PURCHASE_ON_CANCEL,
	S3E_ODK_CALLBACKS_REQUEST_RECEIPTS_ON_SUCCESS,
	S3E_ODK_CALLBACKS_REQUEST_RECEIPTS_ON_FAILURE,
	S3E_ODK_CALLBACKS_REQUEST_RECEIPTS_ON_CANCEL,
	S3E_ODK_CALLBACKS_MAX
} s3eOdkFnCallbackType;
// \cond HIDDEN_DEFINES
S3E_BEGIN_C_DECL
// \endcond

/**
 * Returns S3E_TRUE if the ODK extension is available.
 */
s3eBool ODKAvailable();

void OuyaController_startOfFrame();

bool OuyaController_selectControllerByPlayer(int playerNum);

bool OuyaController_selectControllerByDeviceID(int deviceID);

int OuyaController_getAxisValue(int axis);

bool OuyaController_getButton(int button);

bool OuyaController_buttonPressedThisFrame(int button);

bool OuyaController_buttonReleasedThisFrame(int button);

bool OuyaController_buttonChangedThisFrame(int button);

int OuyaController_getPlayerNum();

void OuyaPlugin_asyncSetDeveloperId(const char* developerId);

void OuyaPlugin_asyncOuyaFetchGamerUUID(s3eCallback onSuccess, s3eCallback onFailure, s3eCallback onCancel);

void OuyaPlugin_asyncOuyaRequestProducts(const char* productsJson, s3eCallback onSuccess, s3eCallback onFailure, s3eCallback onCancel);

void OuyaPlugin_asyncOuyaRequestPurchase(const char* purchasable, s3eCallback onSuccess, s3eCallback onFailure, s3eCallback onCancel);

void OuyaPlugin_asyncOuyaRequestReceipts(s3eCallback onSuccess, s3eCallback onFailure, s3eCallback onCancel);

S3E_END_C_DECL

#endif /* !S3E_EXT_ODK_H */
